Name:       ruby-gd
Version:    0.8.0
Release:    %mkrel 3
Summary:    An interface to Boutell GD library
Group:      Development/Ruby
License:    Ruby License
URL:        http://rubyforge.org/projects/ruby-gd/
Source:     http://rubygems.org/downloads/%{name}-%{version}.gem
BuildRequires:  rubygems
BuildRequires:  gd-devel
BuildRequires:  ruby-devel
BuildRequires:  freetype2-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Ruby/GD (formerly known as "GD") is an extension
library to use Thomas Boutell's gd library
(http://www.boutell.com/gd/) from Ruby.

%files
%defattr(-,root,root)
%doc doc/manual.rd doc/manual.html doc/manual_index.html sample
%dir %{ruby_gemdir}/gems/%{name}-%{version}
%doc %{ruby_gemdir}/gems/%{name}-%{version}/readme.en
%doc %{ruby_gemdir}/doc/%{name}-%{version}
%{ruby_gemdir}/specifications/%{name}-%{version}.gemspec
%{ruby_sitearchdir}/GD.so
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Wed Feb 09 2011 shikamaru <shikamaru> 0.8.0-3.mga1
+ Revision: 49300
- imported package ruby-gd


* Wed Feb 09 2011 Rémy Clouard <shikamaru@mandriva.org> 0.8.0-3mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- Add doc and sample
- Fix License

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.8.0-2mdv2010.0
+ Revision: 433513
- rebuild

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-1mdv2009.0
+ Revision: 272023
- import ruby-gd


* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-1mdv2009.0
- first mdv release
